#!/bin/bash

# 获取当前日期，格式为 YYYY-MM-DD
CURRENT_DATE=$(date +%F)

# 日志文件路径，包含日期
LOG_FILE="/root/luojunhui/logs/get_off_videos_task_log_$CURRENT_DATE.txt"

# 重定向整个脚本的输出到带日期的日志文件
exec >> "$LOG_FILE" 2>&1
if pgrep -f "python3 getOffVideosDaily.py" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - getOffVideosDaily.py is running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart getOffVideosDaily.py"
    # 切换到指定目录
    cd /root/luojunhui/LongArticlesJob

    # 激活 Conda 环境
    source /root/miniconda3/etc/profile.d/conda.sh
    conda activate tasks

    # 在后台运行 Python 脚本并重定向日志输出
    nohup python3 getOffVideosDaily.py >> "${LOG_FILE}" 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restarted getOffVideosDaily.py"
fi